import sys
sys.path.append('../rtsi/')
from rtsi import rtsi
import argparse
import time

parser = argparse.ArgumentParser()
parser.add_argument('--host', default='localhost', help='ip of host to connect to')
args = parser.parse_args()

rt = rtsi(args.host)
rt.connect()
rt.version_check()

input = rt.input_subscribe('standard_digital_output_mask,standard_digital_output')

rt.start()

input.standard_digital_output_mask = 0XFFFF
input.standard_digital_output = 0
rt.set_input(input)

count = 1
while True:
    input.standard_digital_output_mask = count
    input.standard_digital_output = count
    rt.set_input(input)
    count = count << 1
    if count > 65535:
        break
    time.sleep(0.5)
    